import request from '@/utils/request'

// 查询app地址管理列表
export function listMallAppAddress(query) {
  return request({
    url: '/mall/mallAppAddress/list',
    method: 'get',
    params: query
  })
}

// 查询app地址管理详细
export function getMallAppAddress(addressId) {
  return request({
    url: '/mall/mallAppAddress/' + addressId,
    method: 'get'
  })
}

// 新增app地址管理
export function addMallAppAddress(data) {
  return request({
    url: '/mall/mallAppAddress',
    method: 'post',
    data: data
  })
}

// 修改app地址管理
export function updateMallAppAddress(data) {
  return request({
    url: '/mall/mallAppAddress',
    method: 'put',
    data: data
  })
}

// 删除app地址管理
export function delMallAppAddress(addressId) {
  return request({
    url: '/mall/mallAppAddress/' + addressId,
    method: 'delete'
  })
}

// 导出app地址管理
export function exportMallAppAddress(query) {
  return request({
    url: '/mall/mallAppAddress/export',
    method: 'get',
    params: query
  })
}